# GraphQLError | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Class GraphQLError

#### Hierarchy

- Error
  - GraphQLError

- Defined in components/sdk/src/zeus/index.ts:475

#####
Index

### Constructors

constructor

### Properties

cause?
message
name
response
stack?
prepareStackTrace?
stackTraceLimit

### Methods

toString
captureStackTrace

## Constructors

### constructor

- new GraphQLError(response): GraphQLError

- #### Parameters

  - response: GraphQLResponse

  #### Returns GraphQLError

  Overrides Error.constructor

  - Defined in components/sdk/src/zeus/index.ts:476

## Properties

### `Optional` cause

cause?: unknown

Inherited from Error.cause

- Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es2022.error.d.ts:24

### message

message: string

Inherited from Error.message

- Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es5.d.ts:1076

### response

response: GraphQLResponse

- Defined in components/sdk/src/zeus/index.ts:476

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/.pnpm/typescript@5.6.3/node_modules/typescript/lib/lib.es5.d.ts:1078

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err, stackTraces) => any)

Optional override for formatting stack traces

#### Type declaration

- - (err, stackTraces): any

  - #### Parameters

    - err: Error
    - stackTraces: CallSite[]

    #### Returns any

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from Error.prepareStackTrace

- Defined in node_modules/.pnpm/@types+node@22.8.4/node_modules/@types/node/globals.d.ts:143

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/.pnpm/@types+node@22.8.4/node_modules/@types/node/globals.d.ts:145

## Methods

### toString

- toString(): string

- #### Returns string

  - Defined in components/sdk/src/zeus/index.ts:480

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in node_modules/.pnpm/@types+node@22.8.4/node_modules/@types/node/globals.d.ts:136